=== apps/CMakeLists.txt ===
add_subdirectory(haartraining)
add_subdirectory(traincascade)
