=== interfaces/CMakeLists.txt ===
if(SWIG_FOUND)
    add_subdirectory(swig)
endif()
if(MSVC OR MINGW)
    add_subdirectory(ffopencv)
endif()
if(PYTHONLIBS_FOUND AND BUILD_NEW_PYTHON_SUPPORT)
    add_subdirectory(python)
endif()
#if(IPP_FOUND AND BUILD_CUSTOM_IPP_LIB)
#    add_subdirectory(ippopencv)
#endif()
