=== debian/changelog ===
opencv (2.0.0-3) unstable; urgency=low

  * Remove libcv1, libhighgui1 and libcvaux1 from Conflicts and Replaces.
    (Closes: #560283)
  * Remove cvconfig.h from libcv-dev package. (Closes: #559857)
    Update libcv-dev.install and backport r2242 of commit from upstream.
    Thanks to Filippo Giunchedi.
    debian/patches/110_backport_r2242.diff 
  * Fix FTBFS with GCC 4.4. (Closes: #562742)
    Backport r2255 of commit from upstream. Thanks to Filippo Giunchedi.
    debian/patches/110_backport_r2255.diff

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 07 Jan 2010 20:48:47 +0900

opencv (2.0.0-2) unstable; urgency=low

  * Add cvconfig.h to libcv-dev. (Closes: #559857)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 08 Dec 2009 10:00:14 +0900

opencv (2.0.0-1) unstable; urgency=low

  * New upstream release. (Closes: #507588, #549997, #492445)
  * Update Standards-Version to 3.8.3
  * Add debian/README.source
  * Add libdc1394-22-dev to Build-Depends. (Closes: #507584, #516794)
  * Remove libcvaux-dev and libhighgui-dev from Depends of libcv-dev.
    (Closes: #525023)
  * Remove all .la files.
  * Update debian/watch file. (Closes: #557140)
  * Update debian/rules file.
    Add --disable-sse and --disable-optimization to configure.
  * Remove bashism. (Closes: #530153)
    500_remove_bashism.patch
  * Update debian/patches
    010_m4_syntax.diff
    010_fix_optimisations.diff
    010_makefile_syntax.diff
    010_python_cspec.diff
    020_python_linking.diff
    100_static_inline.diff
    100_amd64.diff
    120_header_warnings.diff
  * Remove debian/patches
    - Merge to upstream
      030_install_hook.diff      
      100_ffmpeg_updates.diff
      210_openmp_compilation.diff
      300_fix_segfault_in_window_gtk.diff
      400_ffmpeg_splitting_autofoo.diff
      410_ffmpeg_use_swscale.diff
      420_typedef_longint.diff
      430_highgui_jpeg_camera.diff 
    - Don't need new version
      010_ffmpeg_linking.diff
      050_rebootstrap.diff
      200_documentation.diff
      500_ftbfs_gcc44.diff

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 01 Dec 2009 01:13:18 +0900

opencv (1.0.0-6.3) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild against new libraw1394 (Closes: #516646, #516920)
  * Add libhighgui-dev dependency on libswscale-dev thanks Giel van Schijndel
    (Closes: #547729)
  * debian/patches/420_typedef_longint.diff: define int64/uint64 as int64_t
    and uint64_t respectively, patch pulled from upstream r2163
    (Closes: #543546)
  * debian/patches/410_ffmpeg_use_swscale.diff: move
    #define __STDC_CONSTANT_MACROS before #include <stdint.h> into
    debian/patches/420_typedef_longint.diff
  * debian/patches/500_ftbfs_gcc44.diff: fix FTBFS with gcc-4.4
    thanks to Martin Michlmayr (Closes: #504831)
  * debian/patches/430_highgui_jpeg_camera.diff: recognize JPEG cameras
    (Closes: #536041)

 -- Filippo Giunchedi <filippo@debian.org>  Sat, 14 Nov 2009 17:04:41 +0100

opencv (1.0.0-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * Port to newer ffmpeg. Closes: #487638, #490700, #493915
    Loosely based on patch Gijs Molenaar, thanks.

 -- Thomas Viehmann <tv@beamnet.de>  Thu, 09 Jul 2009 21:43:02 +0200

opencv (1.0.0-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    + Dropped build dependency on libdc1394-22-dev (Closes: #497689)
    + Added ${misc:Depends} where missing

 -- Raphael Geissert <atomo64@gmail.com>  Thu, 11 Sep 2008 14:36:06 -0500

opencv (1.0.0-6) unstable; urgency=low

  * debian/patches/120_header_warnings.diff:
    + Fix more warnings in shipped headers.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 28 Aug 2008 22:53:43 +0000

opencv (1.0.0-5) unstable; urgency=high

  [ Daniel Leidert ]

  * debian/control: Added Homepage field.
    (Vcs-Svn): Fixed.
    (Depends, Build-Depends): Added libjasper-dev (closes: #428474).
  * debian/dirs: Removed (useless). Avoids empty directories.
  * debian/libcv-dev.install: Small cosmetic fix.
  * debian/libcv-dev.manpages: Added for haartraining utilities.
  * debian/opencv-createsamples.1: Initially added.
  * debian/opencv-haartraining.1: Ditto.
  * debian/opencv-performance.1: Ditto.
  * debian/opencv-doc.install: Install Makefile.debian here.
  * debian/rules (install, binary-arch, binary-indep): Removed most of the
    unused debhelper calls. Let dh_install exclude files we don't want. Don't
    install examples twice. Removed installation of opencv-config.1 (closes:
    #407946).
  * debian/watch: Added.
  * debian/patches/300_fix_segfault_in_window_gtk.diff: Added. Merged from
    Ubuntu.
  * debian/patches/series: Adjusted.

  [ Sam Hocevar ]

  * High urgency to ease testing propagations.
  * debian/patches/100_ffmpeg_updates.diff:
    + Updated patch to latest ffmpeg version (Closes: #482217).
  * debian/patches/020_python_linking.diff:
    + Link python bindings with required libraries.
  * debian/patches/030_install_hook.diff:
    + Use install-exec-hook instead of install-hook.

  * debian/control:
    + Build-depend on more recent libavcodec-dev.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 08 Jun 2008 15:01:18 +0000

opencv (1.0.0-4) unstable; urgency=low

  * debian/rules:
    + Support CONCURRENCY_LEVEL.
    + Don't ignore make distclean errors.

  * debian/control:
    + Add ${shlibs:Depends} to -dev packages, to get a proper dependency
      when these packages ship binaries.
    + Use ${binary:Version} instead of ${Source-Version} (Closes: 430726).
    + Set policy to 3.7.3.
    + Use Vcs-Svn: instead of XS-Vcs-Svn: fields.

  * debian/patches/100_ffmpeg_updates.diff:
    + Updated patch. Getting and setting framerate in FFmpeg streams now
      works properly again. Thanks to Eric Beets for half the fix.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 10 Mar 2008 16:41:56 +0000

opencv (1.0.0-3) unstable; urgency=low

  * debian/control:
    + Set maintainer to the pkg-scicomp team.

