=== debian/control ===
Source: opencv
Priority: optional
Section: devel
Maintainer: Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 5.0), quilt,
 libavcodec-dev (>= 0.svn20080206), libavformat-dev, libswscale-dev, libgtk2.0-dev,
 libjpeg62-dev, libpng12-dev, libtiff4-dev, zlib1g-dev, python-dev, swig,
 python-support (>= 0.4.1)
Standards-Version: 3.8.3
Vcs-Svn: svn://svn.debian.org/svn/pkg-scicomp/opencv/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-scicomp/opencv/
Homepage: http://opencvlibrary.sourceforge.net/

Package: opencv-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Conflicts: libopencv-doc
Replaces: libopencv-doc
Description: OpenCV documentation and examples
 This package contains the OpenCV documentation and example programs.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libcv-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, libcv4 (= ${binary:Version}), pkg-config, ${misc:Depends}
Conflicts: libopencv-dev
Replaces: libopencv-dev
Description: development files for libcv
 This package contains the header files and static library needed to compile
 applications that use OpenCV (Open Computer Vision).
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libcvaux-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, libcvaux4 (= ${binary:Version}), libcv-dev (>= ${binary:Version}), pkg-config, ${misc:Depends}
Description: development files for libcvaux
 This package contains the header files and static library needed to compile
 applications that use the OpenCV (Open Computer Vision) extensions.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libhighgui-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, libhighgui4 (= ${binary:Version}), libcv-dev (>= ${binary:Version}), libpng12-dev, libjpeg-dev, zlib1g-dev, libtiff4-dev, libgtk2.0-dev, libavcodec-dev (>= 0.cvs20050918-2), libavformat-dev, libswscale-dev, libjasper-dev, pkg-config, ${misc:Depends}
Description: development files for libhighgui
 This package contains the header files and static library needed to compile
 applications that use the OpenCV (Open Computer Vision) GUI.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libcv4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: computer vision library
 This package contains the OpenCV (Open Computer Vision) runtime libraries.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libcvaux4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: computer vision extension library
 This package contains the OpenCV (Open Computer Vision) extensions runtime
 library.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libhighgui4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: computer vision GUI library
 This package contains the OpenCV (Open Computer Vision) GUI library.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: python-opencv
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Replaces: python2.3-opencv (<= 0.9.7-3)
Conflicts: python2.3-opencv (<= 0.9.7-3)
Description: Python bindings for the computer vision library
 This package contains Python bindings for the OpenCV (Open Computer Vision)
 library.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.
